Bug 1263267 - Data type for user task properties is missing
Data type for user task properties is missing
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 09:14 EDT by Jozef Marko
Modified: 2016-01-18 09:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2015-09-15 09:14:53 EDT
*** Description of problem:
If user adds "User task" to the process, in problems view appears 9 errors about missing Data Type for all User task properties


*** Version-Release number of selected component (if applicable):
jbds-9.0.0.CR1_jbdsis-9.0.0.Alpha1


*** Steps to Reproduce:
1. Create new bpmn2 process
2. Add user task to the process
3. Save process
4. In problems view appears 9 errors about missing DataType


*** Expected results:
No error about missing DataType appears for new User task


*** Additional info:
There is no way in UI how to define data type for these properties.
Comment 1 Robert (Bob) Brodt 2015-09-15 10:04:23 EDT
Hi Jozef, this issue was already fixed a long time ago, and I can't seem to repro it in my local windows environment.

Can you tell me please:

which version of the BPMN2 Modeler are you using (build ID number)
the eclipse version
the OS and CPU architecture on which eclipse is running

Thanks!
Comment 2 Jozef Marko 2015-09-15 10:11:56 EDT
Hi Bob, 

I am using mentioned jbds tooling. It is based on eclipse Mars and contains bpmn2 modeler version: BPMN2 Modeler - 1.2.1.201508191851

Next I am using Fedora 20, 64bit, Intel® Core™ i7-4600U CPU @ 2.10GHz × 4
Comment 4 Jozef Marko 2015-09-22 04:08:16 EDT
Bob sorry, this is reproducible even if I have set:
export SWT_GTK3=0
Comment 5 Robert (Bob) Brodt 2015-10-29 16:52:05 EDT
Fixed in:
Luna build 1.1.4.201510291907
Mars build 1.2.1.201510291906
Comment 6 Jozef Marko 2015-11-02 02:42:15 EST
Bob, thanks. Fix looks good. I will mark as verified when fix will be mirrored in JBDS integration stack.
Comment 7 Jozef Marko 2016-01-18 09:14:20 EST
Verified on jbdsis-8.0.5.CR1, BPMN2 Modeler 1.1.4.Final.

Note You need to log in before you can comment on or make changes to this bug.